#
# spec file for package cmatrix
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cmatrix
Version:        1.2a
Release:        319.1
Summary:        The Console Screensaver in Accordance with Matrix
License:        GPL-2.0
Group:          Amusements/Toys/Screensavers
Url:            http://www.asty.org/cmatrix/
Source:         cmatrix-%{version}.tar.bz2
Patch0:         cmatrix-%{version}-makefile.patch
Patch1:         cmatrix-no-TIME-DATE.patch
%define fontdir     /usr/share/fonts/misc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  kbd
BuildRequires:  ncurses-devel
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The console screensaver in accordance with Matrix.

%prep
%setup -q
%patch0
%patch1 -p1

%build
aclocal
autoconf
automake -a
%configure
make

%install
mkdir -p %{buildroot}%{_datadir}/kbd/consolefonts
mkdir -p %{buildroot}%{fontdir}
%makeinstall
# workaround for build with modular Xorg
install -m644 mtx.pcf %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%doc %{_mandir}/man1/*
%{_bindir}/*
# workaround for build with modular Xorg
%{fontdir}/
%ifnarch s390 s390x
%{_datadir}/kbd/consolefonts/*
%endif

%changelog
* Sat Sep  8 2012 mrdocs@opensuse.org
- fix make install macro to build on SLE
* Fri Sep  7 2012 toganm@opensuse.org
- added automake and autoconf to BuildRequires for 12.2 and Factory
  builds
- corrected licence to spdx format
* Mon Apr 11 2011 puzel@novell.com
- use spec-cleaner
- add cmatrix-no-TIME-DATE.patch (prevent unnecessary rebuilds)
* Wed Jan  7 2009 puzel@suse.cz
- fix rpmlint warnings
* Fri Mar 30 2007 rguenther@suse.de
- add ncurses-devel BuildRequires
* Thu Aug 10 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/misc (because of X11R7).
* Mon Jul 24 2006 mmarek@suse.de
- workaround build with modular Xorg
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 28 2004 uli@suse.de
- no consolefonts on s390*
* Fri Jul 23 2004 ro@suse.de
- added kbd to neededforbuild
* Sat Jan 10 2004 adrian@suse.de
- build as user
* Mon Feb 10 2003 vbobek@suse.cz
- update to version 1.2a:
  * bugfixes
  * matrix size is now allocated dynamically
* Thu Feb 21 2002 pmladek@suse.cz
- fixed location of console fonts
- fixed file list
* Mon Nov  5 2001 pmladek@suse.cz
- fixed for automake 1.5
* Fri Mar 16 2001 pmladek@suse.cz
- new package
- added buildroot
